Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq:

[legend]
Collaboration diagram for DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq (void)
| _TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq (CORBA::ULong maximum, CORBA::ULong length, NameDynAnyPair *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq (const _TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq &rhs)
_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq & | operator= (const _TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq &rhs)
virtual | ~_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq (void)
NameDynAnyPair & | operator[] (CORBA::ULong i)
const NameDynAnyPair & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
NameDynAnyPair * | get_buffer (CORBA::Boolean orphan=0)
const NameDynAnyPair * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, NameDynAnyPair *data, CORBA::Boolean release)
## Static Public Methods
NameDynAnyPair * | allocbuf (CORBA::ULong size)
void | freebuf (NameDynAnyPair *buffer)

## Constructor & Destructor Documentation

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq | ( | void |  | ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq | ( | CORBA::ULong | maximum | ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | NameDynAnyPair * | data,
|  | CORBA::Boolean | release = 0
| ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq | ( | const _TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq & | rhs | ) |

DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::~_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

NameDynAnyPair* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::freebuf | ( | NameDynAnyPair * | buffer | ) | `[static]`

const NameDynAnyPair* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::get_buffer | ( | void |  | ) | const

NameDynAnyPair* DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::operator= | ( | const _TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq & | rhs | ) |

const NameDynAnyPair& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::operator[] | ( | CORBA::ULong | i | ) | const

NameDynAnyPair& DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::operator[] | ( | CORBA::ULong | i | ) |

void DynamicAny::_TAO_Unbounded_Sequence_DynamicAny_NameDynAnyPairSeq::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | NameDynAnyPair * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp